#include <cstdio>
#include <algorithm>

using namespace std;

const int maxn = 1010;
const int maxs2 = 20010;

int n, s2;
int stos[maxn];

int *t[5];
int dt[5][maxs2];

void next()
{
	int *tmp = t[4];
	for (int i = 4; i > 0; --i)
		t[i] = t[i-1];
	t[0] = tmp;
	for (int i = 0; i <= s2; ++i)
		tmp[i] = -1;
}

int update(int *src, int *dst, int w, int gg)
{
	int kk = 0;
	int op = 1-gg;
	if (src[w] == 0) throw int();
	for (int i = w, k = 0; i <= s2; ++i, ++k)
		if (src[i] == op)
		{
			dst[k] = gg;
			++k;
		}
	return kk;
}

void solve()
{
	for (int i = 0; i < 5; ++i)
		t[i] = dt[i];
	scanf("%d", &n);
	s2 = 0;
	for (int i = 0; i < n; ++i)
	{
		scanf("%d", &stos[i]);
		s2 += stos[i];
	}
	s2 /= 2;
	for (int i = 1; i < min(n, 5); ++i)
		if (stos[i] == s2)
		{
			printf("NIE\n");
			return;
		}
	for (int k = 0; k < 5; ++k)
		for (int i = 0; i <= s2; ++i)
			t[k][i] = -1;
	t[0][s2] = 0;
	int gg = 1;
	try
	{
		for (int i = 0; i < n; ++i)
		{
			int suma = 0, kk = 0;
			for (int k = 1; k <= 4; ++k)
			{
				suma += stos[i+k-1];
				if (suma > s2) break;
				kk += update(t[0], t[k], suma, gg);
			}
			next();
			if (!kk) break;
			gg = 1 - gg;
		}
	}
	catch (int)
	{
		printf("TAK\n");
		return;
	}
	printf(gg?"TAK\n":"NIE\n");
}

int main()
{
	int d;
	scanf("%d", &d);
	while (d-->0) solve();
	return 0;
}
