#include <cstdio>
#include <stdlib.h>
#include <iostream>
#include <algorithm>

#define MAX 600000
#define lint long long int
using namespace std;
int n,d;
long double alpha(int x, int y){
	long double d=abs(x)+abs(y);
	long double res;
	//tylko dla x>=0;
	//return (long double)y/(long double) x;
	if (y>=0)
		return ((long double)y)/d;
	else
		return 4.0-(long double)(1.0*y)/d;
//	return (res<0);		
}

struct Punkt {
	lint x,y;
/*	bool operator<(const Punkt& p1) const {
		return p1.x*y < x*p1.y;
	}
*/	
	bool operator<(const Punkt& p1) const {
		return alpha(p1.x,p1.y) >= alpha(x,y);
	}
};


Punkt we[MAX];

Punkt STOS[MAX];
int szczyt;
inline void push(Punkt a){
	STOS[szczyt++]=a;
}
inline void pop(){
	szczyt--;
}

inline Punkt top(lint i=0){
	return STOS[szczyt-1-i];
}

inline lint skret(Punkt p0,Punkt p1,Punkt p2){
	return (p2.x-p0.x)*(p1.y-p0.y)-(p2.x-p0.y)*(p1.x-p0.x);
}

inline lint sqr(lint a){
	return a*a;
}

inline lint odl(Punkt p0,Punkt p1){
	return sqr(p0.x-p1.x)+sqr(p0.y-p1.y);
}


/*
int cmp(const void *pu1,const void *pu2){
	Punkt p1 = *((Punkt *)pu2);
	Punkt p2 = *((Punkt *)pu1);
	lint res = p1.x*p2.y-p2.x*p1.y;
	if (res>0) return 1;
	if (res<0) return -1;
	return 0;
}
*/
void Graham(){
	szczyt=0;
	push(we[0]);
	push(we[1]);
	push(we[2]);//SPRAWDZIC CZY JEST < PUNKTOW
	for (int i=3;i<n;i++){
		while (skret(top(1),top(),we[i])>0)
			szczyt--;
		push(we[i]);
	}
}


int main()
{
	
    scanf("%d",&d);
    while (d-->0){
		scanf("%d",&n);//ilosc zolnieyz
			
			scanf("%d%d",&we[0].x,&we[0].y);
			for (int i=1;i<n;i++){
				scanf("%lld%lld",&we[i].x,&we[i].y);
				we[i].x-=we[0].x;
				we[i].y-=we[0].y;
			}
			we[0].x=0;we[0].y=0;
//			qsort(we+1,n-1,sizeof(we[0]),cmp);
			sort(we+1, we+n);
			if (n==2)
				//cout << odl(we[0],we[1])<<"\n";
				printf("%lld\n",odl(we[0],we[1]));   
			else {	
				Graham();
				STOS[szczyt]=STOS[0];
				//for (int i=0;i<szczyt;i++){
				//	cout << STOS[i].x<<" "<<STOS[i].y<<"\n";
				//}
				lint max=0;
				int first=0;
				int last=0;
				int nlast,flast=1;
				while (odl(STOS[first],STOS[flast])<odl(STOS[first],STOS[flast+1]))
						flast++;
				last=flast-1;
				
				for (first=0;first<=flast;first++){
					nlast=(last+1)%szczyt;
					while (odl(STOS[first],STOS[last])<odl(STOS[first],STOS[nlast])){
						last=nlast;
						nlast=(last+1)%szczyt;
					}
					//last = nlast;	
					if (odl(STOS[first],STOS[last])>max)
						max=odl(STOS[first],STOS[last]);
						
				}	
				printf("%lld\n",max);   
			}
	}
	return 0;
}
